// Musical note frequencies and durations for Tone()

// Tempo Constants

// Very Slow
#define  LARGO            27.3
#define  LARGHETTO        18.2
#define  ADAGIO           16.55

// Slow
#define  ANDANTE          14.37

// Medium
#define  MODERATO         10.11

// FA_SHARPt
#define  ALLEGRO          9.1
#define  PRESTO           6.5



// Musical note constants

// Octave 0
#define  C0               16.35
#define  C_SHARP0         17.32
#define  D0               18.35
#define  D_SHARP0         19.45
#define  E0               20.60
#define  F0               21.83
#define  F_SHARP0         23.12
#define  G0               24.50
#define  G_SHARP0         25.96
#define  A0               27.50
#define  A_SHARP0         29.14
#define  B0               30.87

// Octave 1
#define  C1               32.70
#define  C_SHARP1         34.65
#define  D1               36.71
#define  D_SHARP1         38.89
#define  E1               41.20
#define  F1               43.65
#define  F_SHARP1         46.25
#define  G1               49.00
#define  G_SHARP1         51.91
#define  A1               55.00
#define  A_SHARP1         58.27
#define  B1               61.74

// Octave 2
#define  C2               65.41
#define  C_SHARP2         69.30
#define  D2               73.42
#define  D_SHARP2         77.78
#define  E2               82.41
#define  F2               87.31
#define  F_SHARP2         92.50
#define  G2               98.00
#define  G_SHARP2        103.83
#define  A2              110.00
#define  A_SHARP2        116.54
#define  B2              123.47

// Octave 3
#define  C3              130.81
#define  C_SHARP3        138.59
#define  D3              146.83
#define  D_SHARP3        155.56
#define  E3              164.81
#define  F3              174.61
#define  F_SHARP3        185.00
#define  G3              196.00
#define  G_SHARP3        207.65
#define  A3              220.00
#define  A_SHARP3        233.08
#define  B3              246.94

// Octave 4
#define  C4              261.63
#define  C_SHARP4        277.18
#define  D4              293.66
#define  D_SHARP4        311.13
#define  E4              329.63
#define  F4              349.23
#define  F_SHARP4        369.99
#define  G4              392.00
#define  G_SHARP4        415.30
#define  A4              440.00
#define  A_SHARP4        466.16
#define  B4              493.88

// Octave 5
#define  C5              523.25
#define  C_SHARP5        554.37
#define  D5              587.33
#define  D_SHARP5        622.25
#define  E5              659.26
#define  F5              698.46
#define  F_SHARP5        739.99
#define  G5              783.99
#define  G_SHARP5        830.61
#define  A5              880.00
#define  A_SHARP5        923.33
#define  B5              987.77

// Octave 6
#define  C6             1046.50
#define  C_SHARP6       1108.73
#define  D6             1174.66
#define  D_SHARP6       1244.51
#define  E6             1328.51
#define  F6             1396.91
#define  F_SHARP6       1479.98
#define  G6             1567.98
#define  G_SHARP6       1661.22
#define  A6             1760.00
#define  A_SHARP6       1864.66
#define  B6             1975.53

// Octave 7
#define  C7             2093.00
#define  C_SHARP7       2217.46
#define  D7             2349.32
#define  D_SHARP7       2489.02
#define  E7             2637.02
#define  F7             2793.83
#define  F_SHARP7       2959.96
#define  G7             3135.96
#define  G_SHARP7       3322.44
#define  A7             3250.00
#define  A_SHARP7       3729.31
#define  B7             3951.07

// Octave 8
#define  C8             4186.01
